Summary:	OpenKiosk client application
Name:		kdex11client
Version:	0.3.1b
Release:	2mdk
License:	GPL
Group:		Networking/Other
URL:		http://openkiosk.sourceforge.net			
Source0:	http://prdownloads.sourceforge.net/openkiosk/%{name}-%{version}.tar.bz2
Patch0:		kdex11client-0.3.1b-hardcode.patch.bz2
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot-%{version}
	
%description
The Openkiosk system is basically composed of two parts. The second part is 
simply called "The Client". It is the actual program that sits between the 
customer and the operating system interface on the workstations. It is the 
software which physically limits the user's access to the Internet, network 
resources, the local programs on the workstation itself. For automatic usage, 
it can take in membership card login. It is also possible to interface to 
much more advanced hardware readers such as smart card readers. The client 
is also capable of simple but important tasks such as remote shutdown, 
instant messaging, file updates and much more.

This program is intended to be used on a client machine, with the server 
machine running the nodeview package.

NOTE: rather than rely on hardcoded values for SERV_IP and SERV_PORT, the
source has been patched to read the environment values of these.

%prep

%setup -q
%patch0 -p1 -b .hardcode

%build
sed -i 's|Q_OBJECT;|Q_OBJECT|g' src/x11lock.h

export QTDIR="%{_prefix}/lib/qt3"
export KDEDIR="%{_prefix}"
export CXXFLAGS="%{optflags} -fPIC"

%configure \
    --with-qt-dir=%{_prefix}/lib/qt3 \
    --with-qt-includes=%{_prefix}/lib/qt3/include \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib}

%make CXXFLAGS="%{optflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT

cat << EOF > README.urpmi
Rather than hard-coding SERV_IP and SERV_PORT into the application,
I've patched it to use environment variables. For instance you could
put it in your ~/.desktop file:
export SERV_IP=192.168.192.35
export SERV_PORT=10012
DESKTOP=KDE

Stew Benedict <sbenedict@mandrakesoft.com>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS README README.urpmi
%{_libdir}/lib%{name}.*
%dir %{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/%{name}/index*
%{_datadir}/doc/HTML/en/%{name}/common
%{_datadir}/apps/kicker/applets/kdex11client.desktop

%changelog
* Tue Apr 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.1b-2mdk
- merge stuff from the Corporate Club package
- make it compile on x86_64

* Thu Mar 17 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.3.1b-1mdk
- first Mandrakelinux packaging
